Subject: Internet-Draft cutoffs and getting work done

From: John C Klensin <[email-masked]>
Date: Mon, 18 Oct 2004 09:02:00 -0400

Hi.

Summary: Four weeks?  When we sometimes run only three months
between meetings?

Some years ago, the secretariat and IESG agreed on an I-D
posting deadline about a week before IETF began, in the hope of
getting all submitted drafts posted before WGs needed them for
review and discussion.  Prior to that rule, the last drafts to
arrive either slipped through the cracks or were posted after we
had started meeting, which did no one any good.

As the load of incoming drafts increased, still with a
completely manual process, the posting deadline was shifted back
another week, to be two weeks before meetings began, and then a
rule was imposed (for which I fear I'm at least partially
responsible) requiring that initial-version drafts be posted yet
a week earlier -- three weeks out.  The theory behind the latter
was the load continued to rise and that initial versions often
took longer to process and confirm than second and subsequent
versions, so it made sense to let the additional time burden
fall on them.

Such deadlines, considerably in advance of IETF meetings, are an
impediment to objectives we claim for the standards process --
opportunities for people to get as much work as possible done
outside the face to face meetings, and documents in hand that
are timely enough that people who do not attend meetings in
person can effectively express their comments.

Over the last few IETF meetings, processing has become more
automated, or the Secretariat has become more efficient in other
ways.  The typical time to get an I-D posted other than in the
pre- and post-meeting rush has dropped to one working day and
has sometimes even been less.  And, during the rush, the queue
has often cleared early enough that consideration of shortening
the deadlines/ lead time would be in order.

Instead, a new rule has apparently crept into the posting
deadlines, with no community discussion or announcement other
than in those deadline announcements.  The rule, in this
meeting's form, is that 

	"As always, all initial submissions (-00) with a
	filename beginning with "draft-ietf" must be approved by
	the appropriate WG Chair before they can be processed or
	announced.  WG Chair approval must be received by
	Monday, October 11 at 9:00 AM ET."

First of all, this isn't "as always".  The rule requiring
explicit WG Chair approval is fairly recent.  But, more
important, we now have a situation in which WG drafts --
presumably the most important documents for the face to face
meetings-- now require formal naming, authorization, and
approval a full four weeks before the first IETF meeting
sessions.  Remembering that we have sometimes had meetings as
close as three months apart, but even with four months being the
nominal separation, this is a _big_ chunk of time.  On the three
month schedule, and allowing a couple of weeks post-meetings for
things to stabilize, people to get caught up, and new
discussions to start, it could give a WG only six weeks to have
a discussion that could generate a new document for discussion
and agree on that document before cutoffs impose, at least,
names that make those documents harder to find and track.

As we continue to discuss problems and issues that get in the
way of our getting effective work done, it seems to me that this
is a new one that should be added to the list.

Also, in the context of administrative reorganization, I would
find it helpful, and others might too, to understand where this
new requirement came from:

	(1) If from the Secretariat by unilateral action, it is
	perhaps a symptom of difficulties with the Secretariat
	that require some change in models.
	
	(2) If from the IESG, it perhaps should be examined as a
	procedural change made without an announcement to the
	community and opportunity for comment -- precisely the
	type of change that the "July14" draft was intended to
	prevent in the future by providing a more efficient way
	to get such changes made _with_ community involvement
	and (at least default) authorization.

Finally, if four weeks is really necessary, I suggest that we
are in need of firm rules about minimum meeting spacing.

      john

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: Michael Richardson <[email-masked]>
Date: Mon, 18 Oct 2004 12:43:44 -0400

-----BEGIN PGP SIGNED MESSAGE-----

>>>>> "John" == John C Klensin <[email-masked]> writes:
    John> 	"As always, all initial submissions (-00) with a
    John> filename beginning with "draft-ietf" must be approved by the
    John> appropriate WG Chair before they can be processed or
    John> announced.  WG Chair approval must be received by Monday,
    John> October 11 at 9:00 AM ET."

    John> First of all, this isn't "as always".  The rule requiring
    John> explicit WG Chair approval is fairly recent.  But, more
    John> important, we now have a situation in which WG drafts --
    John> presumably the most important documents for the face to face
    John> meetings-- now require formal naming, authorization, and

  I wonder if it wouldn't just be simpler to have the WG chair
submit the -00 document themselves, as a placeholder for the actual
document. This can be done as soon as the WG believes that the should
exist. 
  
  That gets rid of the back-and-forth between chair, author and secretariat.

    John> As we continue to discuss problems and issues that get in the
    John> way of our getting effective work done, it seems to me that
    John> this is a new one that should be added to the list.

    John> Also, in the context of administrative reorganization, I would
    John> find it helpful, and others might too, to understand where
    John> this new requirement came from:

  I would like answers to the same question.
  I will say that having the rather early deadline means, as a submitter
that I have to get my work done sooner, and this leaves *me* more time
to read documents before the meeting.

  (ps: I'm taking the train from Toronto via NYC on Sunday, November
7th. I have a 20 minute allocation to change changes at Penn station,
which I fear that Amtrak won't make. And I am trying to catch the last
train that night to DC. I fear that I'll be sitting in Penn station all
night reading drafts... Any locals got any advice?)

- --
]     "Elmo went to the wrong fundraiser" - The Simpson         |  firewalls  [
]   Michael Richardson,    Xelerance Corporation, Ottawa, ON    |net architect[
] [email-masked]      http://www.sandelman.ottawa.on.ca/mcr/ |device driver[
] panic("Just another Debian GNU/Linux using, kernel hacking, security guy"); [

---

From: "James M. Polk" <[email-masked]>
Date: Mon, 18 Oct 2004 12:53:53 -0500

John

Good rant!

I agree with each of your concerns, and ask too for discussion on what was 
brought up in your message.

>are in need of firm rules about minimum meeting spacing.

cheers,
James

                                *******************
                 Truth is not to be argued... it is to be presented

---

From: John C Klensin <[email-masked]>
Date: Mon, 18 Oct 2004 14:34:23 -0400

--On Monday, 18 October, 2004 12:43 -0400 Michael Richardson
<[email-masked]> wrote:

>     John> filename beginning with "draft-ietf" must be
> approved by the     John> appropriate WG Chair before they can
> be processed or     John> announced.  WG Chair approval must
> be received by Monday,     John> October 11 at 9:00 AM ET."
> 
>     John> First of all, this isn't "as always".  The rule
> requiring     John> explicit WG Chair approval is fairly
> recent.  But, more     John> important, we now have a
> situation in which WG drafts --     John> presumably the most
> important documents for the face to face     John> meetings--
> now require formal naming, authorization, and
> 
> submit the -00 document themselves, as a placeholder for the
> actual document. This can be done as soon as the WG believes
> that the should exist. 
>   

It seems to me that this is one of the reasons why discussion of
these proposals/plans with the community is important.  It is
not just a matter of approval of a new rule (although that is
important), but the fact that the community can often come up
with clever solutions that the Secretariat, or IESG, on their
own, might not discover.  I don't know if it would be worth the
trouble, but "either get WG chair pre-approval a week in advance
_or_ the WG Chair must submit the document" would seem to me to
be a much more reasonable rule than the current one, which
encourages individual-submission naming, followed by reissuing
of an identical document under the WG name, which makes
documents harder to track.

>     John> As we continue to discuss problems and issues that
> get in the     John> way of our getting effective work done,
> it seems to me that     John> this is a new one that should be
> added to the list.
> 
>     John> Also, in the context of administrative
> reorganization, I would     John> find it helpful, and others
> might too, to understand where     John> this new requirement
> came from:
> 
>   I will say that having the rather early deadline means, as a
> submitter that I have to get my work done sooner, and this
> leaves *me* more time to read documents before the meeting.

But this extra week won't, in practice.  If it prevents posting
the document with the "draft-ietf-WGNAME" form, it can still be
posted as an individual submission.  That just makes the
documents harder to find and track.

   john

---

From: Pyda Srisuresh <[email-masked]>
Date: Mon, 18 Oct 2004 16:06:44 -0700 (PDT)

Dont have a lot to add to the already nicely articulated comments below from
John. However, I would like to know why this IETF meeting in DC is scheduled so
soon after the last one - barely 3 months from the last one. Added to this, the
dead-lines for the drafts are more conservative, leaving very little time for
the draft authors. Thanks.

regards,
suresh

> are in need of firm rules about minimum meeting spacing.

=====

---

From: Henrik Levkowetz <[email-masked]>
Date: Tue, 19 Oct 2004 01:03:18 +0200

Hi John,

> <[email-masked]> wrote:
 [snipped some text]
> documents harder to track.

I don't have any input on exactly how, originated by whom, the
current deadlines have come to be.

However, if we're starting to discuss the mechanics of what might
be done to move the deadlines closer to the meetings again, I'd 
like to point out that the ietf tools team, as it's first task, 
has been formulating requirements for a tool to automate draft
submission, so that secretariat workload can be eliminated
or severely reduced as a factor in draft posting deadlines (and
WG chair approval deadlines).

The requirements are documented in draft-ietf-tools-draft-submission,
currently out in revision -04:

http://www.ietf.org/internet-drafts/draft-ietf-tools-draft-submission-04.txt

We believe that the requirements are close to done, and hope that
the tool can be produced and deployed fairly soon.  This
should make the draft posting deadlines a matter of deciding what
is optimal for the community.  The tool should make both posting
and chair approval possible as close to the meeting dates as is
found to be desirable.

	Regards,
		Henrik

---

From: John C Klensin <[email-masked]>
Date: Mon, 18 Oct 2004 19:52:24 -0400

Henrik,

I'm aware of the tools team proposal.   But I claim it
illustrates the problem.  See below.

--On Tuesday, 19 October, 2004 01:03 +0200 Henrik Levkowetz
<[email-masked]> wrote:

>...
>> It seems to me that this is one of the reasons why discussion
>> of these proposals/plans with the community is important.  It
>> is not just a matter of approval of a new rule (although that
>> is important), but the fact that the community can often come
>> up with clever solutions that the Secretariat, or IESG, on
>> their own, might not discover.  I don't know if it would be
>> worth the trouble, but "either get WG chair pre-approval a
>> week in advance _or_ the WG Chair must submit the document"
>> would seem to me to be a much more reasonable rule than the
>> current one, which encourages individual-submission naming,
>> followed by reissuing of an identical document under the WG
>> name, which makes documents harder to track.
> 
> be done to move the deadlines closer to the meetings again,
> I'd like to point out that the ietf tools team, as it's first
> task, has been formulating requirements for a tool to automate
> draft

But you see, the secretariat workload has already, somehow, been
reduced to the point that we are clearing the queue well in
advance of the meetings, unlike a few years ago, when the
deadlines were set and we routinely went right up against the
meeting.  If your "reduce the load enough that things can be
gotten out faster will result in deadlines closer to the
meetings" hypothesis is correct, then I'd expect that we would
already have had a review --initiated by either by the IESG or
the Secretariat and discussed with the community-- about how
much closer the deadlines could be moved, followed by
implementation.   Instead, we have acquired a new rule that
pushes the deadline even further out.

I know that this is a little extreme, but, based on that
experience, it is equally reasonable to assume that, if fewer
cycles are required to process I-Ds before an IETF meeting,
someone will wake up and, without consulting the community about
priorities, decide it is useful to impose several _more_ process
steps, since there would then be time for them within the
current deadlines.

> and chair approval possible as close to the meeting dates as is

Sure.  But assuming that either a careful review of what is
"desirable" or any movement at all, will happen is, however
rational, not supported by recent facts or experience.  The
creation of the tools is really independent from setting of the
deadlines.

regards,
    john

---

From: [email-masked] (scott bradner)
Date: Mon, 18 Oct 2004 20:20:13 -0400 (EDT)

> If your "reduce the load enough that things can be
> much closer the deadlines could be moved,

fwiw

without changing the rules the closest we can get is two weeks

see RFC 2418 section 7.1

   All relevant documents to be discussed at a session should be
   published and available as Internet-Drafts at least two weeks before
   a session starts.

---

From: Michael Richardson <[email-masked]>
Date: Mon, 18 Oct 2004 20:24:00 -0400

-----BEGIN PGP SIGNED MESSAGE-----

>>>>> "Pyda" == Pyda Srisuresh <[email-masked]> writes:
    Pyda> Dont have a lot to add to the already nicely articulated
    Pyda> comments below from John. However, I would like to know why
    Pyda> this IETF meeting in DC is scheduled so soon after the last
    Pyda> one - barely 3 months from the last one. Added to this, the
    Pyda> dead-lines for the drafts are more conservative, leaving very
    Pyda> little time for the draft authors. Thanks.

  In general, we have to fit the meetings into a number of constraints.

  First, early-December to late-January is filled with all sorts of
	 religious constraints: (Hannukah, Ramadan, Christmas, Solstice, Chinese
	 new year, etc.). 

	 So, December is not an option.
	 US-Thanksgiving basically writes up the last week of November
	 and this year, the cross-over week.
	
  Second, we have to deal with not overlapping a number of other
	  conferences/committees with either high overlaps in people, or
	  in some cases, venues.

  The real question is, why was the last meeting scheduled so late.
  Why do we keep scheduling summer IETF on the first week of August.
That's the only decent week of weather in most of Canada! mid-July is a
much better time in my opinion. 

- --

---

From: Michael Richardson <[email-masked]>
Date: Mon, 18 Oct 2004 20:29:39 -0400

-----BEGIN PGP SIGNED MESSAGE-----

>>>>> "scott" == scott bradner <[email-masked]> writes:
    >> If your "reduce the load enough that things can be gotten out
    >> faster will result in deadlines closer to the meetings"
    >> hypothesis is correct, then I'd expect that we would already have
    >> had a review --initiated by either by the IESG or the Secretariat
    >> and discussed with the community-- about how much closer the
    >> deadlines could be moved,

    scott> fwiw

    scott> without changing the rules the closest we can get is two
    scott> weeks

  Right, we want to have time to read the documents, and I think two
weeks is fair.
  
- --

---

From: "william(at)elan.net" <[email-masked]>
Date: Mon, 18 Oct 2004 18:08:29 -0700 (PDT)

> without changing the rules the closest we can get is two weeks

Personally I'd actually prefer 10 days, but two weeks is much better
then 4 weeks and is a reduction of no-draft-can-be-published time
from 30% to 15%. 

-- 
William Leibzon
Elan Networks
[email-masked]

---

From: John C Klensin <[email-masked]>
Date: Mon, 18 Oct 2004 20:57:35 -0400

--On Monday, 18 October, 2004 20:20 -0400 scott bradner
<[email-masked]> wrote:

>    All relevant documents to be discussed at a session should
> be    published and available as Internet-Drafts at least two
> weeks before    a session starts. 

But then it is violation of those rules to permit documents to
be submitted at 9AM ET on the morning of 25 October that apply
to a WG session starting at 9AM on 8 November, since they cannot
possibly be "published and available" (which I would construe as
including "announced") that quickly.  The latest posting
deadline for "revision" docs has never been more than two weeks
out, modulo time zone corrections.   So this RFC 2418 rule has
_always_ been ignored, and there has never (to my knowledge)
been any attempt to notify or engage the community in approving
the change.   That probably makes it another IESG or Secretariat
policy in violation of written procedures, although one could
argue that the responsibility for enforcing that rule actually
belongs to the WG Chair when someone attempts to reference the
document.

I would note, however, that agendas for sessions at IETF are
rarely posted two weeks in advance.  If one construed those as
"documents to be discussed", then we wouldn't even be able to
meet :-(

    john

---

From: David Morris <[email-masked]>
Date: Mon, 18 Oct 2004 18:03:41 -0700 (PDT)

>    published and available as Internet-Drafts at least two weeks before

That is a *should* ... as written, not a MUST. Which with an automated
tool would allow the WG chair to over-ride.  Secondly, 'session' in my
usage would be the WG session to discuss the draft. So for a Thursday WG
session, the deadline would still be met, 1-1/2 weeks before the IETF
meeting, not two weeks...

Dave Morris

---

From: Henrik Levkowetz <[email-masked]>
Date: Tue, 19 Oct 2004 07:03:50 +0200

Hi John,

> illustrates the problem.  See below.

Yes, I thought you were - and I agree - continued below.

...
> pushes the deadline even further out.

Well, firstly, I don't have such a hypothesis :-)  To me it's
very clear that the I-D submission tool will provide the *option*
to move the deadlines more freely, but to actually move them back
is a completely separate step, governed by other mechanisms ,:-)

I didn't know that the secretariat workload had been reduced, and
that so is the case isn't necessarily a given conclusion from the
data I have - the current state may also be the result of more
secretariat manpower being brought to bear on the task now.

But if it is indeed the case that secretariat workload has already
been decreased I agree in your concern - it is not clear to me
why it would be needed to push back the deadline even further, as
has now been done.

> steps, since there would then be time for them within the

Don't know if it's *equally* reasonable ,:-)  but it is worth
being on guard against, at least.

> creation of the tools is really independent from setting of the

I agree.  Which has been my viewpoint all along.  I carefully did
not say that having the tool will change the deadlines, I said it
will make it possible to move the deadlines.  Actually doing
so is indeed an independent matter, worthy of attention.

	Henrik

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Tue, 19 Oct 2004 07:13:44 +0200

--On 18. oktober 2004 12:43 -0400 Michael Richardson 
<[email-masked]> wrote:

> submit the -00 document themselves,

I've discussed this option with the secretariat, and they think this 
(having the WG chair submit or forward the document on behalf of the author 
was the thing suggested) is a very reasonable thing to do - for the spring 
IETF meeting.
(didn't get it on the table long enough before this meeting to change).

No opinion yet on the cutoff dates - still reading.

---

From: Vijay Devarapalli <[email-masked]>
Date: Tue, 19 Oct 2004 18:39:49 -0700

hi Harald,

this sometimes doesnt work. for example, I submitted a 00 version
working group draft on Oct 18 draft at 2 am (PST). I dont think
the WG chair could have stayed up that late to send out the draft
for me before the submissin deadline (6 am PST). :)

I prefer just cc'ing the WG chairs when I submit the draft,
and the WG chairs, as soon as possible, sending a mail confirming
that the document should be processed as a working group document.
can you ask the secretariat if they are okay with this? :)

Vijay

Harald Tveit Alvestrand wrote:
> (having the WG chair submit or forward the document on behalf of the 
> author was the thing suggested) is a very reasonable thing to do - for 
> the spring IETF meeting.

---

From: Michael Richardson <[email-masked]>
Date: Tue, 19 Oct 2004 23:23:18 -0400

-----BEGIN PGP SIGNED MESSAGE-----

>>>>> "Vijay" == Vijay Devarapalli <[email-masked]> writes:
    Vijay> this sometimes doesnt work. for example, I submitted a 00
    Vijay> version working group draft on Oct 18 draft at 2 am (PST). I
    Vijay> dont think the WG chair could have stayed up that late to
    Vijay> send out the draft for me before the submissin deadline (6 am
    Vijay> PST). :)

  The idea is that the WG chair knows that the document is coming,
and is permitting to send in a placeholder in advance of the
deadline. 

  Whether or not this causes a loophole in the -00 "no placeholder"
rule, or whether or not we perhaps WANT this to be an official loophole,
I don't know.

- --

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Wed, 20 Oct 2004 07:13:20 +0200

> can you ask the secretariat if they are okay with this? :)

that was what the procedure used to be - and someone had to keep track of 
the pile of I-D submissions for which there was no response (yet) from the 
WG chair. That extra load is what the secretariat has been trying to avoid 
during the rush.

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Wed, 20 Oct 2004 08:23:40 +0200

John,

> 	Monday, October 11 at 9:00 AM ET."

as far as I can tell, this offset (different dates for -00 draft submission 
and WG chair approval) was first introduced into the I-D deadline 
announcement for the Vienna IETF meeting - summer 2003:

> NOTE: There are two (2) Internet-Draft Cutoff dates
>
> June 23rd: Cutoff for Initial Submissions (new documents)
>
> All initial submissions(-00) must be submitted by Monday, June 23rd,
> at 09:00 ET.  Initial submissions received after this time will NOT be
> made available in the Internet-Drafts directory, and will have to be
> resubmitted.
>
>
> As before, all initial submissions (-00.txt) with a filename beginning
> with a draft-ietf MUST be approved by the appropriate WG Chair prior to
> processing and announcing. WG Chair approval must be received by
> Monday, June 16th.

At the time of Salt Lake City (Nov 2001), which is the earliest 
announcement I have a copy of, the date for WG chair approval was 3 days 
after the deadline; when the deadline for submission was moved from Friday 
to Monday, the WG chair approval deadline did not move.

I'm still trying to figure out exactly what discussion happened ahead of 
the 2003 change, and how the WG chairs were informed.

                           Harald

---

From: Colin Perkins <[email-masked]>
Date: Wed, 20 Oct 2004 09:31:06 +0100

On 20 Oct 2004, at 06:13, Harald Tveit Alvestrand wrote:
> that was what the procedure used to be - and someone had to keep track 
> of the pile of I-D submissions for which there was no response (yet) 
> from the WG chair. That extra load is what the secretariat has been 
> trying to avoid during the rush.

Can't we just require the working group chairs to send approvals before 
the submission deadline? Much of the problem before was that there was 
no definite cut-off date for approvals.

Colin

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Wed, 20 Oct 2004 10:45:04 +0200

--On onsdag, oktober 20, 2004 09:31:06 +0100 Colin Perkins 
<[email-masked]> wrote:

> the submission deadline? Much of the problem before was that there was no
> definite cut-off date for approvals.

when was "before"?

there's been definite cut-off dates for approvals for at least 3 years (see 
the deadline announcement messages).

(I think the secretariat has accepted some late approvals, though...)

---

From: Colin Perkins <[email-masked]>
Date: Wed, 20 Oct 2004 10:25:43 +0100

> author was the thing suggested) is a very reasonable thing to do - for 

Provided the criteria the secretariat use to check drafts for 
acceptability are clearly published, so chairs can check that drafts 
meet those criteria before accepting them for submission (and by this I 
mean something explicit like "run idnits v1.44 with no nits found and 
submit by <date>, and we'll guarantee to post the draft").

As a chair, I don't want to be caught in the middle of an argument 
between an author and the secretariat about what constitutes correct 
boilerplate.

Colin

---

From: Colin Perkins <[email-masked]>
Date: Wed, 20 Oct 2004 10:09:15 +0100

On 20 Oct 2004, at 09:45, Harald Tveit Alvestrand wrote:
> there's been definite cut-off dates for approvals for at least 3 years 
> (see the deadline announcement messages).
>

Checking back, I see you're right about the approval deadlines, 
although if I remember correctly the deadlines were a lot less firm in 
the past.

The main issue, though, is that having the approval deadline a week 
before the submission deadline causes problems, as John enumerated in 
his "rant". In an ideal world, authors would know the drafts they were 
planning to submit in plenty of time, and they'd tell the working group 
chairs so approval can be given. In practice, and despite several 
reminders sent to the working group lists, I've seen several cases 
where the early approval deadline caused drafts to be rejected. That 
doesn't help the IETF process.

Colin

---

From: John C Klensin <[email-masked]>
Date: Wed, 20 Oct 2004 11:19:28 -0400

Harald,

I had not submitted a WG-named draft close to the deadline for
some time, and obviously didn't notice earlier versions of the
"chair approval even a week further in advance" announcement.  I
apologize for assuming it was a new problem and, hence, for
assuming that it occurred after the discussions around "July 14"
had been concluded.

At the same time, it appears to me that

	* The community was never asked to review or approve
	this change and that, had it been asked, alternative
	mechanisms (such as "the WG Chair actually submits")
	might have been suggested that would have permitted
	shortening the schedule without placing additional
	burdens on the Secretariat.  In that context, it would
	seem to me that a combined "either the WG chair must
	approve several days in advance or must actually submit
	the document itself by the deadline" rule might serve to
	balance the "short time" problem with the "chairs
	sometimes travel" one.
	
	* Similarly, the community has never been asked to
	review, or make suggestions about, the model/mechanism
	for WG Chair "approval".  While I don't think that is
	procedurally necessary, there are a lot of very smart
	people around the IETF, and a few of them aren't on the
	IESG or in the secretariat.  It seems sensible to take
	advantage of that resource. It is interesting to me that
	at least two new suggestions have emerged in the circa
	48 hours since I posted my "rant": one to permit the WG
	Chairs to make the submission themselves, at least if it
	was clear that they were "authorizing" the document by
	doing so rather than "approving" it, and one (as I
	understand it) to actually create a placeholder
	document, rather than merely a note to the Secretariat.
	
	* even if only on an exception basis, the very short
	interval between IETF60 and IETF61 (three months
	--actually 13 weeks-- including a time when lengthy
	vacations are common in many parts of the world)
	probably should have resulted in a review and procedure
	as to whether the extra week was too intrusive in this
	case.  I suspect it wasn't specifically on anyone's task
	list to notice, perform such a review, and ask the
	appropriate questions.

Colin has raised several other issues that also, IMO, deserve
careful consideration (which you have been giving them).

So I think that, if nothing else, there are several lessons in
this going forward.

And, incidentally, some of those lessons may be about the
"Admin" process and what expectations we should have of it.
Noting the observation about task lists above, I'm not at all
sure we should want to add careful and proactive tracking of
this sort of thing to the IESG's workload, but it seems obvious
(at least in retrospect) that it would be useful if it were done
by someone.

best,
    john

--On Wednesday, 20 October, 2004 08:23 +0200 Harald Tveit
Alvestrand <[email-masked]> wrote:

>> automated, or the Secretariat has become more efficient in
>> other ways.  The typical time to get an I-D posted other than
>> in the pre- and post-meeting rush has dropped to one working
>> day and has sometimes even been less.  And, during the rush,
>> the queue has often cleared early enough that consideration
>> of shortening the deadlines/ lead time would be in order.
>> 
> as far as I can tell, this offset (different dates for -00
> draft submission and WG chair approval) was first introduced
> into the I-D deadline announcement for the Vienna IETF meeting
> - summer 2003:
> 
>> All initial submissions(-00) must be submitted by Monday,
>> June 23rd, at 09:00 ET.  Initial submissions received after
>> this time will NOT be made available in the Internet-Drafts
>> directory, and will have to be resubmitted.
>> 
>> 
>> As before, all initial submissions (-00.txt) with a filename
>> beginning with a draft-ietf MUST be approved by the
>> appropriate WG Chair prior to processing and announcing. WG
>> Chair approval must be received by Monday, June 16th.
> 
> At the time of Salt Lake City (Nov 2001), which is the
> earliest announcement I have a copy of, the date for WG chair
> approval was 3 days after the deadline; when the deadline for
> submission was moved from Friday to Monday, the WG chair
> approval deadline did not move.
> 
> I'm still trying to figure out exactly what discussion
> happened ahead of the 2003 change, and how the WG chairs were
> informed.
> 
>                            Harald
> 
>